<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.bills.mapper.WithdrawRecMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="withdrawRecResultMap" type="org.springblade.ldt.bills.entity.WithdrawRec">
        <id column="id" property="id"/>
        <result column="owner_type" property="ownerType"/>
        <result column="owner_id" property="ownerId"/>
        <result column="price" property="price"/>
        <result column="point_value" property="pointValue"/>
        <result column="actual_price" property="actualPrice"/>
        <result column="fee" property="fee"/>
        <result column="withdraw_status" property="withdrawStatus"/>
        <result column="order_id" property="orderId"/>
        <result column="channel" property="channel"/>
        <result column="bank_code" property="bankCode"/>
        <result column="receiver_account_name" property="receiverAccountName"/>
        <result column="receiver_account_no" property="receiverAccountNo"/>
        <result column="receive_type" property="receiveType"/>
        <result column="receive_amount" property="receiveAmount"/>
        <result column="fail_reason" property="failReason"/>
    </resultMap>


    <select id="selectWithdrawRecPage" resultMap="withdrawRecResultMap">
        select * from ldt_withdraw_rec where is_deleted = 0
    </select>

</mapper>
